using System.Collections.Generic;

namespace TouchyTickets {
    public abstract class Platform {

        public abstract void SetupAds();

        public abstract void SetupAnalytics(Dictionary<string, object> json);

        public abstract void AddResourceEvent(bool sink, string currency, float amount, string itemType, string itemId);

    }
}